Bug 1157589 - Application icon is too small to be used in the software center
Summary: Application icon is too small to be used in the software center
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: maxima
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 11:06 UTC by Richard Hughes
Modified: 2015-09-24 05:13 UTC (History)
2 users (show)

Fixed In Version: 15.08.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-24 05:13:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Hughes 2014-10-27 11:06:57 UTC
Description of problem:

In Fedora 21 we show any valid application in the software center with an application icon of 32x32 or larger. Currently a 32x32 icon has to be padded with 16 pixels of whitespace on all 4 edges, and *also* has to be scaled x2 to match other UI elements on HiDPI screens.

This looks fuzzy, out of alignment and lowers the quality of an otherwise beautiful installing experience. For Fedora 22 we are planning to increase the minimum icon size to 48x48, with recommended installed sizes of 24x24, 48x48, 64x64 and 256x256 (or SVG).

Modern desktop applications typically ship multiple sizes of icons in known locations, and it's very much the minority of packages in Fedora (69 out of 1042) that only ship such small icons.

I'm asking package maintainers to install a larger icon than 32x32 in the Fedora package. Most of the time this will involve just installing a different icon from the tarball, but could also mean contacting upstream and asking them for larger icons and a new tarball release.

If you're asking upstream, please ask for a 256x256 or 64x64 icon, as the latter will probably be the minimum size for F23 and beyond. If you want to fix up F20 and F21 too that would be great, but not expected.

At the end of November I'll change the minimum icon size in the AppStream generator so that applications not fixed will not be shown in the software center. You can of course install this application in F22 with dnf on the command line, but it won't be visible in the software center until they are installed manually.

Additional info:
If you're unclear on what needs to be done in order to be listed in the software center, refer to this https://github.com/hughsie/appstream-glib#what-is-an-application or comment here.

Thanks!

Richard.

Comment 1 Jaroslav Reznik 2015-03-03 16:26:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Update System 2015-09-15 06:36:19 UTC
wxMaxima-15.08.2-1.fc23 maxima-5.37.1-2.fc23 sbcl-1.2.15-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15868

Comment 3 Fedora Update System 2015-09-15 16:50:38 UTC
maxima-5.37.1-2.fc23, sbcl-1.2.15-1.fc23, wxMaxima-15.08.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sbcl maxima wxMaxima'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15868

Comment 4 Fedora Update System 2015-09-24 05:12:49 UTC
maxima-5.37.1-2.fc23, sbcl-1.2.15-1.fc23, wxMaxima-15.08.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.